## sdlgfx 2.0.25

=== Makefile ===
CC = gcc
AR=ar rc
RANLIB=ranlib

prefix=c:/dev/local
bin_dir=$(prefix)/bin
include_dir=$(prefix)/include
lib_dir=$(prefix)/lib

CFLAGS = -O3 -march=athlon-xp -mmmx -msse -m3dnow -DBUILD_DLL -DWIN32 -Ic:/dev/local/include/SDL
LIBS = -Lc:/dev/local/lib -lSDL

OBJS = SDL_framerate.o SDL_gfxPrimitives.o SDL_imageFilter.o SDL_rotozoom.o

STATIC_LIB=libSDL_gfx.a
IMPORT_LIB=libSDL_gfx.dll.a
SHARED_LIB=SDL_gfx.dll

all: $(STATIC_LIB) $(SHARED_LIB)

$(STATIC_LIB): $(OBJS)
	$(AR) $@ $^
	$(RANLIB) $@

$(SHARED_LIB): $(OBJS)
	gcc -s -shared -o $@ $^ -Wl,--enable-auto-import,--export-all -Wl,--out-implib=$(IMPORT_LIB) $(LIBS)

test: $(SHARED_LIB) $(STATIC_LIB) Test/TestFramerate.exe Test/TestFonts.exe Test/TestGfxPrimitives.exe Test/TestImageFilter.exe Test/TestRotozoom.exe

Test/TestFramerate.exe: Test/TestFramerate.c
	gcc -c $^ -o Test/TestFramerate.o -O3 -march=athlon-xp -mmmx -msse -m3dnow -DWIN32 -Ic:/dev/local/include/SDL
	gcc -o $@ Test/TestFramerate.o $(CFLAGS) -L../ -Lc:/dev/local/lib -lmingw32 -lSDLmain $(SHARED_LIB) -lSDL

Test/TestFonts.exe: Test/TestFonts.c
	gcc -c $^ -o Test/TestFonts.o -O3 -march=athlon-xp -mmmx -msse -m3dnow -DWIN32 -Ic:/dev/local/include/SDL
	gcc -o $@ Test/TestFonts.o $(CFLAGS) -L../ -Lc:/dev/local/lib -lmingw32 -lSDLmain $(SHARED_LIB) -lSDL

Test/TestGfxPrimitives.exe: Test/TestGfxPrimitives.c
	gcc -c $^ -o Test/TestGfxPrimitives.o -O3 -march=athlon-xp -mmmx -msse -m3dnow -DWIN32 -Ic:/dev/local/include/SDL
	gcc -o $@ Test/TestGfxPrimitives.o $(CFLAGS) -L../ -Lc:/dev/local/lib -lmingw32 -lSDLmain $(SHARED_LIB) -lSDL

Test/TestImageFilter.exe: Test/TestImageFilter.c
	gcc -c $^ -o Test/TestImageFilter.o -O3 -march=athlon-xp -mmmx -msse -m3dnow -DWIN32 -Ic:/dev/local/include/SDL
	gcc -o $@ Test/TestImageFilter.o $(CFLAGS) -L../ -Lc:/dev/local/lib -lmingw32 -lSDLmain $(SHARED_LIB) -lSDL

Test/TestRotozoom.exe: Test/TestRotozoom.c
	gcc -c $^ -o Test/TestRotozoom.o -O3 -march=athlon-xp -mmmx -msse -m3dnow -DWIN32 -Ic:/dev/local/include/SDL
	gcc -o $@ Test/TestRotozoom.o $(CFLAGS) -L../ -Lc:/dev/local/lib -lmingw32 -lSDLmain $(SHARED_LIB) -lSDL

install: $(STATIC_LIB) $(SHARED_LIB)
	cp $(STATIC_LIB) $(SHARED_LIB) $(IMPORT_LIB) $(lib_dir)
	cp SDL_framerate.h SDL_gfxPrimitives.h SDL_imageFilter.h SDL_rotozoom.h $(include_dir)/SDL

uninstall:
	rm -f $(lib_dir)/$(STATIC_LIB)
	rm -f $(lib_dir)/$(SHARED_LIB)
	rm -f $(lib_dir)/$(IMPORT_LIB)
	rm -f $(include_dir)/SDL/SDL_framerate.h
	rm -f $(include_dir)/SDL/SDL_gfxPrimitives.h
	rm -f $(include_dir)/SDL/SDL_imageFilter.h
	rm -f $(include_dir)/SDL/SDL_rotozoom.h

clean:
	rm -f *.o *.a *.dll
	rm -f Test/*.o Test/*.exe

## sdlgfx 2.0.22-0maemo1

=== debian/changelog ===
sdlgfx (2.0.22-0maemo1) unstable; urgency=low

  * New upstream release

 -- Mikko Vartiainen <mvartiainen@gmail.com>  Thu, 13 Jan 2011 20:28:58 +0000

sdlgfx (2.0.19-1maemo2) unstable; urgency=low

  * optify
  * neon buildflag

 -- Mikko Vartiainen <mvartiainen@gmail.com>  Sat,  9 Jan 2010 16:45:35 +0000

sdlgfx (2.0.19-1maemo1) unstable; urgency=low

  * Maemo package
    - add vfp option for armel build

 -- Mikko Vartiainen <mvartiainen@gmail.com>  Thu, 30 Apr 2009 13:28:27 +0300

sdlgfx (2.0.19-1) unstable; urgency=low

  [ Barry deFreese ]
  * Add myself to uploaders.
  * New upstream release. (Closes: #444966, #484164).
    + Drop existing patches.
    + 100_rotozoom_allocation_checks.diff used -p0. (Closes: #484958).
    + Keep -4 binary package name since ABI has not changed.
  * Symlink libSDL_gfx.so.13.5.0 to libSDL_gfx.so.4 to ease transition.
    + SONAME is now .so.13 but is ABI compatible.
  * Remove quilt .pc dir on clean.
  * Add watch file.
  * Remove duplicate libs section from binary package.
  * Bump debhelper build-dep and compat to 5.
  * Bump Standards Version to 3.8.1.

 -- Barry deFreese <bdefreese@debian.org>  Fri, 03 Apr 2009 15:27:37 -0400

sdlgfx (2.0.13-4) unstable; urgency=low

  [ Aurelien Jarno ]
  * debian/control:
    + Make the package binNMU safe. 
    + Set policy 3.7.3.

  * debian/patches/020_gcc4.3.diff:
    + Fix build with gcc-4.3 (Closes: #389256, #474889).

  * debian/rules:
    + Don't ignore make distclean errors.
  
  * debian/copyright:
    + Add copyright entry.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 22 Apr 2008 21:22:39 +0200

sdlgfx (2.0.13-3) unstable; urgency=high

  * debian/control:
    + Set policy 3.7.2.
    + Added XS-Vcs-Svn field.

  * debian/rules:
    + Add missing binary-indep target (Closes: #395744).

  * debian/patches/100_rotozoom_allocation_checks.diff:
    + Check for return values in the rotozoom routines, patch courtesy of
      Kevin Locke (Closes: #405154).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri,  9 Feb 2007 22:51:50 +0100

sdlgfx (2.0.13-2) unstable; urgency=low

  * Moved development to the pkg-sdl Alioth project.

  * debian/rules:
    + Use quilt for patch management.
  * debian/control:
    + Build-depend on quilt.
    + Set the SDL team as the maintainer and added its members to the
      uploaders field.

  * debian/patches/000_am_maintainer_mode.diff:
  * debian/patches/010_test_am_maintainer_mode.diff:
    + Set AM_MAINTAINER_MODE.

  * debian/patches/000_binary_age.diff:
  * debian/patches/005_headers.diff:
    + Imported old patches.

  * debian/patches/000_remove_acinclude.diff:
  * debian/patches/001_rebootstrap.diff:
  * debian/patches/010_test_remove_acinclude.diff:
  * debian/patches/011_test_rebootstrap.diff:
    + Get rid of acinclude.m4 and properly rebootstrap directories.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed,  1 Mar 2006 20:05:46 +0100

sdlgfx (2.0.13-1) unstable; urgency=low

  * New upstream release (Closes: #283742).
  * Re-ran the autogen.sh process.
  * debian/control:
    + Set policy to 3.6.2.1.
    + Changed library package name to reflect soname change.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 16 Oct 2005 18:17:55 +0200

sdlgfx (2.0.9-6) unstable; urgency=low

  *sigh*, forgot the conflict/replaces on file move.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 16 Oct 2005 18:05:44 +0200

sdlgfx (2.0.9-5) unstable; urgency=low

  * Removed acinclude.m4 and reboostrapped (Closes: #319954, #320008).
  * debian/rules:
    + Moved .la file to the -dev package.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 16 Oct 2005 17:47:35 +0200

sdlgfx (2.0.9-4) unstable; urgency=low

  * debian/control:
    + Set policy to 3.6.1.1.
  * *.h:
    + Removed extra ';' in extern "C" constructs (Closes: #260582).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 27 Jul 2004 18:41:13 +0200

sdlgfx (2.0.9-3) unstable; urgency=low

  * Makefile.am:
    + Moved headers to /usr/include/SDL (was /usr/include) (Closes: #222395).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 31 Jan 2004 04:12:47 +0100

sdlgfx (2.0.9-2) unstable; urgency=low

  * configure.in:
    + Fixed binary age to keep our SONAME (Closes: #218215).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 30 Oct 2003 11:40:53 +0100

sdlgfx (2.0.9-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Set policy to 3.6.1.0.
    + Changed debhelper build-dependency to (>= 4.0).
  * debian/rules:
    + Include documentation and examples with the -dev package.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 27 Oct 2003 21:56:52 +0100

sdlgfx (2.0.8-1) unstable; urgency=low

  * New upstream release, fixes a few minor bugs.
  * configure.in:
    + Set BINARY_AGE to 8 so that we don't get a .so.8 library.
    + Re-ran autogen.sh.
  * debian/control:
    + Set policy to 3.6.0. No changes required.
    + Updated debhelper build-dependency to (>= 3.4.4) because we now
      use debian/compat.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 17 Jul 2003 01:53:33 +0200

sdlgfx (2.0.3-6) unstable; urgency=low

  * debian/control:
    + Build-depend on libsdl1.2-dev (>= 1.2.5-8) because 1.2.5-7 had a broken
      shlibs file.
    + Removed libc6-dev from the -dev package's dependencies.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 12 Jun 2003 13:29:29 +0200

sdlgfx (2.0.3-5) unstable; urgency=low

  * Set policy to 3.5.10.
  * Removed the leading "a" in the package description.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon,  9 Jun 2003 23:36:35 -0400

sdlgfx (2.0.3-4) unstable; urgency=low

  * Updated config.guess and config.sub in the Test directory.
  * Updated standards version to 3.5.9.0.
  * Changed libsdl-gfx1.2-dev's section to libdevel.

 -- Samuel Hocevar <sam@zoy.org>  Sat, 12 Apr 2003 00:49:40 +0200

sdlgfx (2.0.3-3) unstable; urgency=low



=== debian/control ===
Source: sdlgfx
Section: libs
Priority: optional
Maintainer: Mikko Vartiainen <mvartiainen@gmail.com>
XSBC-Original-Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
Uploaders: Matthew Danish <mrd@debian.org>, Zephaniah E. Hull <warp@debian.org>, Sam Hocevar (Debian packages) <sam+deb@zoy.org>, Aurelien Jarno <aurel32@debian.org>, Josselin Mouette <joss@debian.org>, Barry deFreese <bdefreese@debian.org>
Build-Depends: debhelper (>= 5.0), libsdl1.2-dev (>= 1.2.5-8), quilt
Standards-Version: 3.8.1
Homepage: http://www.ferzkopp.net/joomla/content/view/19/14/
Vcs-Svn: svn://svn.debian.org/svn/pkg-sdl/unstable/sdlgfx

Package: libsdl-gfx1.2-4
Architecture: any
Depends: ${shlibs:Depends}
Description: drawing and graphical effects extension for SDL
 The SDL_gfx library is an extension to the SDL library which provides
 basic antialiased drawing routines such as lines, circles or polygons,
 an interpolating rotozoomer for SDL surfaces, framerate control and MMX
 image filters.
 .
 This package contains the SDL_gfx runtime library.

Package: libsdl-gfx1.2-dev
Section: libdevel
Architecture: any
Depends: libsdl-gfx1.2-4 (= ${binary:Version}), libsdl1.2-dev (>= 1.2.5-3)
Conflicts: libsdl-gfx1.2 (<< 2.0.9-5)
Replaces: libsdl-gfx1.2 (<< 2.0.9-5)
Description: development files for SDL_gfx
 This package contains the header files and static library needed to
 compile applications that use SDL_gfx.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

LIBPKG = libsdl-gfx1.2-4

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -O0
else
        CFLAGS += -O2
endif

# Use hardware floating point
#ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
#  CFLAGS += -mfpu=vfp -mfloat-abi=softfp
#endif

ifeq ($(DEB_BUILD_ARCH), armel)
CFLAGS += -mcpu=cortex-a8 -mfpu=neon -mfloat-abi=softfp
endif

build: build-stamp
build-stamp:
	dh_testdir
	ln -sf debian/patches
	quilt push -a || test $$? = 2
ifeq ($(DEB_BUILD_ARCH),i386)
	./configure $(confflags) --prefix=/usr --enable-mmx CFLAGS="$(CFLAGS)"
else
	./configure $(confflags) --prefix=/usr --disable-mmx CFLAGS="$(CFLAGS)"
endif
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) distclean	
	quilt pop -a -R || test $$? = 2
	rm -f patches build-stamp

	rm -rf .pc

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/$(LIBPKG)/
	ln -s $(LIBPKG) \
		debian/libsdl-gfx1.2-dev/usr/share/doc/libsdl-gfx1.2-dev
	mv debian/$(LIBPKG)/usr/lib/*.so debian/libsdl-gfx1.2-dev/usr/lib/
	mv debian/$(LIBPKG)/usr/lib/*.a debian/libsdl-gfx1.2-dev/usr/lib/
	mv debian/$(LIBPKG)/usr/lib/*.la debian/libsdl-gfx1.2-dev/usr/lib/
	mv debian/$(LIBPKG)/usr/include debian/libsdl-gfx1.2-dev/usr/
	cp -r Docs debian/libsdl-gfx1.2-dev/usr/share/doc/$(LIBPKG)/html
	cp -r Test examples
	tar cvzf debian/libsdl-gfx1.2-dev/usr/share/doc/$(LIBPKG)/examples/examples.tar.gz examples
	rm -Rf examples

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
#	dh_installdebconf -a
	dh_installdocs -p $(LIBPKG)
	dh_installexamples -a
	dh_installmenu -a
#	dh_installlogrotate -a
#	dh_installemacsen -a
#	dh_installpam -a
#	dh_installmime -a
#	dh_installinit -a
	dh_installcron -a
#	dh_installman -a
	dh_installinfo -a
#	dh_undocumented -a
	dh_installchangelogs ChangeLog -p $(LIBPKG)
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_installdeb -a
#	dh_perl -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary-indep: build install

binary: binary-arch binary-indep
.PHONY: build clean binary-arch binary-indep binary install

=== debian/watch ===
version=3

http://www.ferzkopp.net/joomla/content/view/19/14/ \
http://www\.ferzkopp\.net/Software/SDL_gfx\-2\.0/SDL_gfx\-([\d.]+)\.tar\.gz

## sdlgfx 2.0.23

=== debian/changelog ===
sdlgfx (2.0.23-3) unstable; urgency=low

  * Add libsdl-gfx1.2-dev.preinst to remove /usr/share/doc/libsdl-gfx1.2-dev
    symlink to libsdl-gfx1.2-4, if existing from previous versions of the
    package (it was like that in Squeeze).  Otherwise, when -dev is removed, it
    removes files from the libsdl-gfx1.2-4.  Thanks to Andreas Beckmann for the
    report (Closes: #700785).

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Sun, 17 Feb 2013 23:32:26 +0000

sdlgfx (2.0.23-2) unstable; urgency=high

  [ Steve Langasek ]
  * High-urgency upload for RC bugfix.
  * debian/patches/wrong_cpuid_mmx_detection.diff: fix mmx cpuid
    detection.  Closes: #663514, LP: #1029981.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 03 Aug 2012 17:28:49 +0200

sdlgfx (2.0.23-1) unstable; urgency=low

  [ Felix Geyer ]
  * New upstream release.
    - Update copyright file.
  * Switch to source format 3.0 (quilt).
  * Switch to dh(1) debian/rules.
  * Don't install README and AUTHORS since the html docs contain both.
  * Don't install the .la file.
  * Move the pkg-config file to the -dev package.
  * Drop ancient Conflicts/Replaces.
  * Switch to debhelper compat level v9.
    - Exports build flags.
    - Build for multiarch.
  * Bump Standards-Version to 3.9.2, no further changes needed.
  * Add myself as uploader and drop all previous uploaders as they haven't
    touched the package in more than 2 years.
  * Enable parallel building.
  * Use dh-autoreconf to fix ancient-libtool lintian warning.
  * Move the documentation into a new package.
  * Update Vcs control fields to the new git repository.
  * Override package-name-doesnt-match-sonames lintian warning.
  * Add a symbols file.

  [ Dominique Dumont ]
  * control: added Multi-Arch: same in dev package
  * override lintian source warning about versioned debhelper
  * control: allow DM uploads

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 30 Dec 2011 20:55:51 +0100

sdlgfx (2.0.22-1) unstable; urgency=low

  * Team upload.
  * New upstream release. (Closes: #616409, #627051; LP: #676799)
    - Adapt 010_primitives_spell.diff
  * Bump shlibs to 2.0.22.
  * Clear out dependency_libs in libSDL_gfx.la. (Closes: #550644)

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 30 May 2011 15:27:57 +0200

sdlgfx (2.0.20-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Bump shlibs to 2.0.19 for the SONAME change (closes: #549110).

 -- Julien Cristau <jcristau@debian.org>  Tue, 31 Aug 2010 19:31:18 +0200

sdlgfx (2.0.20-1) unstable; urgency=low

  [ Barry deFreese ]
  * New upstream release. (Closes: #549250).
  * Add ${misc:Depends} for debhelper package.
  * Add README.source for quilt patch system.
  * Improve -dev package description.
  * Fix watch file.
  * Bump Standards Version to 3.8.3. (No changes needed).

 -- Barry deFreese <bdefreese@debian.org>  Tue, 06 Oct 2009 15:11:11 -0400

sdlgfx (2.0.19-2) unstable; urgency=low

  * Fix symlink for .so.4. (Closes: #526184, #526363).
    + Was pointing to .so.13.5.0 instead of .so.13.5.1.
  * 010_primitives_spell.diff. (Closes: #513760).
    + Fix misspelling of SDL_Primitives.h.

 -- Barry deFreese <bdefreese@debian.org>  Thu, 30 Apr 2009 14:34:05 -0400

=== debian/control ===
Source: sdlgfx
Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
Uploaders: Felix Geyer <debfx-pkg@fobos.de>, Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
DM-Upload-Allowed: yes
Section: libs
Priority: optional
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 9~),
               libsdl1.2-dev (>= 1.2.5-8),
               dh-autoreconf
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-sdl/packages/sdlgfx.git
Vcs-Git: git://anonscm.debian.org/pkg-sdl/packages/sdlgfx.git
Homepage: http://www.ferzkopp.net/joomla/content/view/19/14/

Package: libsdl-gfx1.2-4
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: drawing and graphical effects extension for SDL
 The SDL_gfx library is an extension to the SDL library which provides
 basic antialiased drawing routines such as lines, circles or polygons,
 an interpolating rotozoomer for SDL surfaces, framerate control and MMX
 image filters.
 .
 This package contains the SDL_gfx runtime library.

Package: libsdl-gfx1.2-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         libsdl-gfx1.2-4 (= ${binary:Version}),
         libsdl1.2-dev (>= 1.2.5-3)
Suggests: libsdl-gfx1.2-doc
Description: development files for SDL_gfx
 The SDL_gfx library is an extension to the SDL library which provides
 basic antialiased drawing routines such as lines, circles or polygons,
 an interpolating rotozoomer for SDL surfaces, framerate control and MMX
 image filters.
 .
 This package contains the header files and static library needed to
 compile applications that use SDL_gfx.

Package: libsdl-gfx1.2-doc
Architecture: all
Section: doc
Priority: extra
Depends: ${misc:Depends}
Recommends: libsdl-gfx1.2-dev (= ${binary:Version})
Description: documentation files for SDL_gfx
 The SDL_gfx library is an extension to the SDL library which provides
 basic antialiased drawing routines such as lines, circles or polygons,
 an interpolating rotozoomer for SDL surfaces, framerate control and MMX
 image filters.
 .
 This package contains the documentation to program with the SDL_gfx library.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

LIBPKG = libsdl-gfx1.2-4

ifeq ($(DEB_BUILD_ARCH),i386)
	confflags = --enable-mmx
else
	confflags = --disable-mmx
endif

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- $(confflags)

override_dh_auto_build:
	dh_auto_build
	tar -cvz --transform='s,^Test,examples,' -f debian/examples.tar.gz Test

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/examples.tar.gz

override_dh_install:
	dh_install --fail-missing -XlibSDL_gfx.la

override_dh_link:
	dh_link -p$(LIBPKG) usr/lib/$(DEB_HOST_MULTIARCH)/libSDL_gfx.so.13.9.1 \
		usr/lib/$(DEB_HOST_MULTIARCH)/libSDL_gfx.so.4
	dh_link --remaining-packages

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

=== debian/watch ===
version=3

http://www.ferzkopp.net/joomla/content/view/19/14/ \
/joomla/\.\./Software/SDL_gfx\-2\.0/SDL_gfx\-([\d.]+)\.tar\.gz

## sdlgfx 2.0.25

=== debian/changelog ===
sdlgfx (2.0.25-12) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Include NMU from RB team, thanks!
  * Team upload to sid

  [ Steve Langasek ]
  * Mark libsdl-gfx1.2-doc Multi-Arch: foreign to make autopkgtests
    cross-testable. (Closes: #979279)
  * Also invoke ./configure for cross-testing.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 20 Jan 2022 09:00:21 +0100

sdlgfx (2.0.25-11.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Fri, 01 Jan 2021 15:29:09 +0100

sdlgfx (2.0.25-11) unstable; urgency=medium

  * d/rules: Add @ in 'tar --mtime="@$(SOURCE_DATE_EPOCH)"', otherwise the
    date is not valid (Closes: #911792)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Thu, 25 Oct 2018 01:56:31 +0200

sdlgfx (2.0.25-10) unstable; urgency=medium

  * Bump Policy Standars-Version to 4.2.1 (no changes needed)
  * Switch to debhelper compat level v11
  * d/control:
    - Update Vcs-* URLs
    - Use https in Homepage
    - Set "Rules-Requires-Root: no"
  * d/watch:
    - Switch to version=4
    - Use https in URL
  * d/rules:
    - include /usr/share/dpkg/architecture.mk and .../pkg-info.mk to
      provide DEB_HOST_* and SOURCE_DATE_EPOCH, instead of getting them
      through shell invocations.
    - dh_install --fail-missing is deprecated and about to be removed,
      use dh_missing instead
    - replace dh_linktree with dh_link, it does not work straight away
      with compat level v11
    - override dh_installdocs to keep libsdl2-gfx-doc as main doc package

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Tue, 23 Oct 2018 13:22:16 +0200

sdlgfx (2.0.25-9) unstable; urgency=medium

  * Changes when creating tar with examples for reproducible builds.
    Thanks Chris Lamb. (Closes: #879913)
  * More fixes to tests: check only for tests that are built by default
  * Bump Policy Standards-Version to 4.1.1
    - Stop using priority "extra" for the -doc package
  * Quell lintian warning "unnecessary-testsuite-autopkgtest-header"

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 28 Oct 2017 23:12:55 +0200

sdlgfx (2.0.25-8) unstable; urgency=medium

  * d/tests/control: depend on the -doc package, the one containing the
    examples to compile and test
  * Fixes to tests

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 01 Jul 2017 00:14:48 +0200

sdlgfx (2.0.25-7) unstable; urgency=medium

  * Bump Policy Standards-Version to 4.0.0, no changes needed
  * Fix for reproducible builds: specify permissions when creating
    examples.tar file
  * Add tests for autopkgtest

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Tue, 27 Jun 2017 18:44:49 +0200

sdlgfx (2.0.25-6) unstable; urgency=medium

  * Bump std-version to 3.9.8, no changes required.
  * Switch to debhelper compat level v10
    - dh flags --parallel are not needed
    - autoreconf is invoked by default
  * Fixes for reproducible builds
    - restrict time of files in examples tar file
    - use gzip -n
  * Update Vcs-* URLs
  * Update Homepage URL

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Tue, 20 Jun 2017 20:57:34 +0200

sdlgfx (2.0.25-5) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Team upload
  * Revert lintian override, jquery should stay out of the
    source tarball too.
  * fix watch file.
  * Bump std-version to 3.9.6, no changes required.

  [ Felix Geyer ]
  * Make build reproducible.
    - Pass "--owner=0 --group=0" to tar for creating examples.tar.gz

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 24 Jan 2016 14:09:46 +0100

sdlgfx (2.0.25-4) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Team upload.
  * Removed lintian versioned debhelper unused override.
  * Add override for embedded jquery, we already symlink it when building
  * Update watch file.

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 19 Apr 2014 18:07:13 +0100

sdlgfx (2.0.25-3) unstable; urgency=medium

  * Target unstable

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Mon, 07 Apr 2014 21:07:47 +0100

sdlgfx (2.0.25-2) experimental; urgency=low

  [ Gianfranco Costamagna ]
  * Fixing jquery lintian warning
  * Re-enabling MMX detection in debian/rules, autodetection
    doesn't work properly.

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Thu, 20 Feb 2014 17:35:46 +0000

sdlgfx (2.0.25-1) experimental; urgency=low

  * Team upload.

  [ Gianfranco Costamagna ]
  * New upstream release.
  * Bump Standards-Version to 3.9.5, no changes needed
  * Drop obsolete DM-Upload-Allowed
  * Disabled wrong_cpuid_mmx_detection.diff, now mmx is detected by
    SDL_HasMMX() function.
  * Bumped package soname to 5.
  * Removed some version checks on debian/control, newer versions already
    in oldstable
  * Removed override dh_installchangelogs, changelog should be
    automatically installed

  [ Manuel A. Fernandez Montecelo ]
  * Use wildcards to install the .so files
  * Change maintainer address to @debian.org
  * Remove MMX detection in debian/rules, it's auto-detected

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Wed, 19 Feb 2014 18:08:09 +0000

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: sdlgfx
 Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
-Uploaders: Felix Geyer <debfx-pkg@fobos.de>, Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
-DM-Upload-Allowed: yes
+Uploaders: Felix Geyer <fgeyer@debian.org>, Manuel A. Fernandez Montecelo <mafm@debian.org>
 Section: libs
 Priority: optional
-Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 9~),
-               libsdl1.2-dev (>= 1.2.5-8),
-               dh-autoreconf
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-sdl/packages/sdlgfx.git
-Vcs-Git: git://anonscm.debian.org/pkg-sdl/packages/sdlgfx.git
-Homepage: http://www.ferzkopp.net/joomla/content/view/19/14/
+Standards-Version: 4.2.1
+Rules-Requires-Root: no
+Build-Depends: debhelper (>= 11~),
+               libsdl1.2-dev,
+               libjs-jquery,
+	       tar (>= 1.28),
+Vcs-Browser: https://salsa.debian.org/sdl-team/sdlgfx
+Vcs-Git: https://salsa.debian.org/sdl-team/sdlgfx.git
+Homepage: https://www.ferzkopp.net/Software/SDL_gfx-2.0/
 
-Package: libsdl-gfx1.2-4
+
+Package: libsdl-gfx1.2-5
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
@@ -31,8 +33,8 @@
 Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends},
-         libsdl-gfx1.2-4 (= ${binary:Version}),
-         libsdl1.2-dev (>= 1.2.5-3)
+         libsdl-gfx1.2-5 (= ${binary:Version}),
+         libsdl1.2-dev
 Suggests: libsdl-gfx1.2-doc
 Description: development files for SDL_gfx
  The SDL_gfx library is an extension to the SDL library which provides
@@ -45,9 +47,10 @@
 
 Package: libsdl-gfx1.2-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
-Priority: extra
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
+         libjs-jquery,
 Recommends: libsdl-gfx1.2-dev (= ${binary:Version})
 Description: documentation files for SDL_gfx
  The SDL_gfx library is an extension to the SDL library which provides
@@ -56,4 +59,3 @@
  image filters.
  .
  This package contains the documentation to program with the SDL_gfx library.
-

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk

LIBPKG = libsdl-gfx1.2-5


%:
	dh $@

CONFIGURE_FLAGS ?=--disable-mmx

ifeq ($(DEB_HOST_ARCH), i386 )
	CONFIGURE_FLAGS =--enable-mmx
endif
ifeq ($(DEB_HOST_ARCH), amd64)
	CONFIGURE_FLAGS =--enable-mmx
endif

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_FLAGS)

override_dh_auto_build:
	dh_auto_build
	GZIP=-n tar -cvz --transform='s,^Test,examples,' --owner=0 --group=0 --mode=go=rX,u+rw,a-s --mtime="@$(SOURCE_DATE_EPOCH)" --sort=name -f debian/examples.tar.gz Test

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/examples.tar.gz

override_dh_install:
	dh_install -XlibSDL_gfx.la -Xjquery.js

override_dh_installdocs:
	dh_installdocs -plibsdl-gfx1.2-doc --doc-main-package=libsdl-gfx1.2-doc
	dh_installdocs --remaining-packages

override_dh_missing:
	dh_missing --fail-missing -XlibSDL_gfx.la -Xjquery.js

override_dh_link:
	# fix lintian warning dev-pkg-without-shlib-symlink
	dh_link -p$(LIBPKG) usr/lib/$(DEB_HOST_MULTIARCH)/libSDL_gfx.so.15.9.1 \
		usr/lib/$(DEB_HOST_MULTIARCH)/libSDL_gfx.so.5
	dh_link -plibsdl-gfx1.2-doc usr/share/javascript/jquery/jquery.js \
		usr/share/doc/libsdl-gfx1.2-doc/html/jquery.js
	dh_link --remaining-packages

=== debian/tests/control ===
Tests: compile-libsdl-gfx-test0
Depends: libsdl-gfx1.2-dev, libsdl-gfx1.2-doc, build-essential
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://sf.net/sdlgfx/SDL_gfx-(\d[\d\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))|zip)
